cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/settings/email_templates/et_141b2c3d4e5f4a6b8c7d9e0f1a2b3c4d" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"email_template": {
"display_name": "Welcome email (AU)",
"description": "Sent to new customers"
}
}'from exsited import build_client
client = build_client()
response = client.email_templates.update_settings_email_template(
"et_141b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
{
"email_template": {
"display_name": "Welcome email (AU)",
"description": "Sent to new customers",
}
},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.emailTemplates.updateSettingsEmailTemplate('et_141b2c3d4e5f4a6b8c7d9e0f1a2b3c4d', {
email_template: {display_name: 'Welcome email (AU)', description: 'Sent to new customers'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->emailTemplates->updateSettingsEmailTemplate(
'et_141b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
[
'email_template' => [
'display_name' => 'Welcome email (AU)',
'description' => 'Sent to new customers',
],
],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.email_templates.email_templates_dto.EmailTemplatesDto.SettingsEmailTemplate;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsEmailTemplate> response = client.emailTemplates().updateSettingsEmailTemplate(
"et_141b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
Map.of(
"email_template", Map.of(
"display_name", "Welcome email (AU)",
"description", "Sent to new customers")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.EmailTemplates.UpdateSettingsEmailTemplateAsync(
"et_141b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
new Dictionary<string, object?>
{
["email_template"] = new Dictionary<string, object?>
{
["display_name"] = "Welcome email (AU)",
["description"] = "Sent to new customers",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.emailTemplates.updateSettingsEmailTemplate(
'et_141b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
{
'email_template': {
'display_name': 'Welcome email (AU)',
'description': 'Sent to new customers',
},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.EmailTemplates().UpdateSettingsEmailTemplate(context.Background(), "et_141b2c3d4e5f4a6b8c7d9e0f1a2b3c4d", map[string]any{
"email_template": map[string]any{
"display_name": "Welcome email (AU)",
"description": "Sent to new customers",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"email_template": {
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"entity": "<unknown>",
"href": "<string>",
"id": "<string>",
"is_edited": true,
"is_system_template": true,
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"reply_address": "<unknown>",
"rich_editor": true,
"sender_address": "<unknown>",
"sender_name": "<unknown>",
"status": "<string>",
"subject": "<string>",
"track_email_open": true,
"track_link_click": true
}
}Email templates
Update an email template
Changes the fields you send on an email template and returns it under email_template.
PATCH
/
settings
/
email_templates
/
{email_template_id}
cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/settings/email_templates/et_141b2c3d4e5f4a6b8c7d9e0f1a2b3c4d" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"email_template": {
"display_name": "Welcome email (AU)",
"description": "Sent to new customers"
}
}'from exsited import build_client
client = build_client()
response = client.email_templates.update_settings_email_template(
"et_141b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
{
"email_template": {
"display_name": "Welcome email (AU)",
"description": "Sent to new customers",
}
},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.emailTemplates.updateSettingsEmailTemplate('et_141b2c3d4e5f4a6b8c7d9e0f1a2b3c4d', {
email_template: {display_name: 'Welcome email (AU)', description: 'Sent to new customers'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->emailTemplates->updateSettingsEmailTemplate(
'et_141b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
[
'email_template' => [
'display_name' => 'Welcome email (AU)',
'description' => 'Sent to new customers',
],
],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.email_templates.email_templates_dto.EmailTemplatesDto.SettingsEmailTemplate;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsEmailTemplate> response = client.emailTemplates().updateSettingsEmailTemplate(
"et_141b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
Map.of(
"email_template", Map.of(
"display_name", "Welcome email (AU)",
"description", "Sent to new customers")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.EmailTemplates.UpdateSettingsEmailTemplateAsync(
"et_141b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
new Dictionary<string, object?>
{
["email_template"] = new Dictionary<string, object?>
{
["display_name"] = "Welcome email (AU)",
["description"] = "Sent to new customers",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.emailTemplates.updateSettingsEmailTemplate(
'et_141b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
{
'email_template': {
'display_name': 'Welcome email (AU)',
'description': 'Sent to new customers',
},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.EmailTemplates().UpdateSettingsEmailTemplate(context.Background(), "et_141b2c3d4e5f4a6b8c7d9e0f1a2b3c4d", map[string]any{
"email_template": map[string]any{
"display_name": "Welcome email (AU)",
"description": "Sent to new customers",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"email_template": {
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"entity": "<unknown>",
"href": "<string>",
"id": "<string>",
"is_edited": true,
"is_system_template": true,
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"reply_address": "<unknown>",
"rich_editor": true,
"sender_address": "<unknown>",
"sender_name": "<unknown>",
"status": "<string>",
"subject": "<string>",
"track_email_open": true,
"track_link_click": true
}
}Send the fields to change under
email_template, such as display_name and description.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The email template's et_ id, as a listing or a create returns it.
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
The updated email template, under email_template.
Show child attributes
Show child attributes